READPE(1)

NAME
readpe - displays information about PE files

SYNOPSIS
readpe [OPTIONS]... pefile

DESCRIPTION
readpe can read and display all PE file headers, fields and values. It's part of pev, the PE file analysis toolkit.

pefile is a PE32/PE32+ executable or dynamic linked library file.

OPTIONS

-A, --all
    Full output (default).

-H, --all-headers
    Show all PE headers.

-S, --all-sections
    Show PE section headers.

-f, --format <text|csv|xml|html>
    Change output format (default: text).

-d, --dirs
    Show data directories.

-h, --header <dos|coff|optional>
    Show specific header. It can be used multiple times.

-i, --imports
    Show imported functions.

-e, --exports
    Show exported functions.

-V, --version
    Show version.

--help
    Show this help.

EXAMPLES
Display the Optional file header of putty.exe:

    $ readpe -h optional putty.exe

Display data directories and exported functions of cards.dll:

    $ readpe -de cards.dll

Display all possible information about svchost.exe file:

    $ readpe svchost.exe

REPORTING BUGS
Please, check the latest development code and report at https://github.com/mentebinaria/readpe/issues

SEE ALSO
ofs2rva(1), pedis(1), pehash(1), peldd(1), pepack(1), peres(1), pescan(1), pesec(1), pestr(1), rva2ofs(1)

COPYRIGHT
Copyright (C) 2013 - 2020 pev authors. License GPLv2+: GNU GPL version 2 or later <https://www.gnu.org/licenses/gpl-2.0.txt>. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.